"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _execa = _interopRequireDefault(require("execa"));

var _fs = _interopRequireDefault(require("fs"));

var _hook = _interopRequireDefault(require("../commands/hook/hook"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const isHookCreated = async () => {
  try {
    const {
      stdout
    } = await (0, _execa.default)('git', ['rev-parse', '--absolute-git-dir']);
    const hookFile = stdout + _hook.default.PATH;

    if (_fs.default.existsSync(hookFile)) {
      return _fs.default.readFileSync(hookFile, {
        encoding: 'utf-8'
      }) === _hook.default.CONTENTS;
    }

    return false;
  } catch (error) {
    console.error(error);
  }
};

var _default = isHookCreated;
exports.default = _default;